Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.lang
[Java] Interface MetaClassRegistryChangeEventListener

    public interface MetaClassRegistryChangeEventListener
    extends java.util.EventListener

A listener called whenever a constant MetaClass is set, removed or replaced.

Authors:
  Jochen Theodorou

See Also:
  MetaClassRegistry
  MetaClassRegistryChangeEvent

Method Summary
`void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### updateConstantMetaClass

    public void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

  Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.
  Parameters:
    `cmcu` - - the change event

Groovy Documentation